// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationControlFSCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationControlFSCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlFSCC field is set.
   */
  boolean hasControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlFSCC.
   */
  openfmb.commonmodule.ControlFSCC getControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationControlScheduleFSCH GenerationControlScheduleFSCH = 2;</code>
   * @return Whether the generationControlScheduleFSCH field is set.
   */
  boolean hasGenerationControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationControlScheduleFSCH GenerationControlScheduleFSCH = 2;</code>
   * @return The generationControlScheduleFSCH.
   */
  openfmb.generationmodule.GenerationControlScheduleFSCH getGenerationControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationControlScheduleFSCH GenerationControlScheduleFSCH = 2;</code>
   */
  openfmb.generationmodule.GenerationControlScheduleFSCHOrBuilder getGenerationControlScheduleFSCHOrBuilder();
}
